'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _xmlWriter = require('./xml-writer');

var _xmlWriter2 = _interopRequireDefault(_xmlWriter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Testsuites extends _xmlWriter2.default {
  constructor(name) {
    super();
    this.name = name;
    this.suites = [];
  }

  write(writable) {
    this.openTag(writable, 'testsuites', { name: this.name });
    var _iteratorNormalCompletion = true;
    var _didIteratorError = false;
    var _iteratorError = undefined;

    try {
      for (var _iterator = this.suites[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
        const testsuite = _step.value;

        testsuite.write(writable);
      }
    } catch (err) {
      _didIteratorError = true;
      _iteratorError = err;
    } finally {
      try {
        if (!_iteratorNormalCompletion && _iterator.return) {
          _iterator.return();
        }
      } finally {
        if (_didIteratorError) {
          throw _iteratorError;
        }
      }
    }

    return this.closeTag(writable, 'testsuites');
  }
}
exports.default = Testsuites;